      INTEGER NMX,NMY,nx,ny,nz
      DOUBLE PRECISION MAXCFL
c
c       Modified SZ October 2004
c
c  SIZE.H DEFINES SZEXP1,2 FOR ALL FILES

      PARAMETER(NMX=2**SZEXP1+2,NMY=2**SZEXP2+2,MAXCFL=0.5d0)
      DOUBLE PRECISION u(NMX,NMY),v(NMX,NMY),
     * S11(NMX,NMY),S22(NMX,NMY),S12(NMX,NMY)
      DOUBLE PRECISION tau,xvel,yvel,sigma,mugas,muliq
      DOUBLE PRECISION rhogas,g,du,dcx,dcy,timescalesi
      INTEGER t0
      common /surfer/
     * dcx,dcy,u,v,S11,S22,S12,
     * tau,xvel,yvel,sigma,mugas,muliq,
     * rhogas,g,du,timescalesi,
     * nx,ny,nz,t0

      
